cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Nicola Ken Barozzi" <nicola...@apache.org>
Subject Re: db connection pool
Date Fri, 15 Mar 2002 14:12:39 GMT
From: "Berin Loritsch" <bloritsch@apache.org> on cocoon-users

> In JDK 1.4, the classes for JDBC access were changed.  As a result,
> the DB connection code *must* be compiled with a JDK 1.4 compiler.
>
> I have tested the database connection code under JDK 1.4, though I
> admit that I did not test it against the Oracle database.  It is
> *possible* that the Oracle driver does not work under JDK 1.4, though
> if you used the old style ESQL values and got things working I suspect
> it is the fact that the pooling code needed to be recompiled.

IMO, this is a showstopper for the coming Cocoon 2.0.2 release.
What can be done about it other than asking the users to recompile Avalon
code?
Maybe ship two jars with these classes and use the right one only, by
discerning with an ant "depends"?

--
Nicola Ken Barozzi                   nicolaken@apache.org
            - verba volant, scripta manent -
   (discussions get forgotten, just code remains)
---------------------------------------------------------------------


---------------------------------------------------------------------
To unsubscribe, e-mail: cocoon-dev-unsubscribe@xml.apache.org
For additional commands, email: cocoon-dev-help@xml.apache.org


Mime
View raw message